DOMOutputter (JDOM v1.1.1)
Date: 2018-05-07

org.jdom.output

## Class DOMOutputter

- java.lang.Object
- - org.jdom.output.DOMOutputter

-     public class DOMOutputter
      extends java.lang.Object

  Outputs a JDOM `org.jdom.Document` as a DOM `org.w3c.dom.Document`.
  Version:
    $Revision: 1.43 $, $Date: 2007/11/10 05:29:01 $
  Author:
    Brett McLaughlin, Jason Hunter, Matthew Merlo, Dan Schaffer, Yusuf Goolamabbas, Bradley S. Huffman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DOMOutputter()` This creates a new DOMOutputter which will attempt to first locate a DOM implementation to use via JAXP, and if JAXP does not exist or there's a problem, will fall back to the default parser.
    `DOMOutputter(java.lang.String adapterClass)` This creates a new DOMOutputter using the specified DOMAdapter implementation as a way to choose the underlying parser.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getForceNamespaceAware()` Returns whether DOMs will be constructed with namespaces even when the source document has elements all in the empty namespace.
    `org.w3c.dom.Document` | `output(Document document)` This converts the JDOM `Document` parameter to a DOM Document, returning the DOM version.
    `void` | `setForceNamespaceAware(boolean flag)` Controls how NO_NAMESPACE nodes are handeled.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DOMOutputter

          public DOMOutputter()

      This creates a new DOMOutputter which will attempt to first locate a DOM implementation to use via JAXP, and if JAXP does not exist or there's a problem, will fall back to the default parser.

    - #### DOMOutputter

          public DOMOutputter(java.lang.String adapterClass)

      This creates a new DOMOutputter using the specified DOMAdapter implementation as a way to choose the underlying parser.
      Parameters:
        `adapterClass` - `String` name of class to use for DOM output

  - ### Method Detail

    - #### setForceNamespaceAware

          public void setForceNamespaceAware(boolean flag)

      Controls how NO_NAMESPACE nodes are handeled. If true the outputter always creates a namespace aware DOM.
      Parameters:
        `flag` -

    - #### getForceNamespaceAware

          public boolean getForceNamespaceAware()

      Returns whether DOMs will be constructed with namespaces even when the source document has elements all in the empty namespace.
      Returns:
        the forceNamespaceAware flag value

    - #### output

          public org.w3c.dom.Document output(Document document)
                                      throws JDOMException

      This converts the JDOM `Document` parameter to a DOM Document, returning the DOM version. The DOM implementation is the one chosen in the constructor.
      Parameters:
        `document` - `Document` to output.
      Returns:
        an `org.w3c.dom.Document` version
      Throws:
        `JDOMException`

Copyright ? 2007 Jason Hunter, Brett McLaughlin. All Rights Reserved.